Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentPropertyVoiceTerminal

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentPropertyVoiceTerminal

    public class AgentPropertyVoiceTerminal

extends java.lang.Object

Java class for agentPropertyVoiceTerminal complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentPropertyVoiceTerminal">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="agentTerminalId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="agentTerminalName" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="passiveProviderName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentPropertyVoiceTerminal()`

Method Summary
`java.lang.String` | `getAgentTerminalId()` Gets the value of the agentTerminalId property.
`java.lang.String` | `getAgentTerminalName()` Gets the value of the agentTerminalName property.
`java.lang.String` | `getPassiveProviderName()` Gets the value of the passiveProviderName property.
`void` | `setAgentTerminalId(java.lang.String value)` Sets the value of the agentTerminalId property.
`void` | `setAgentTerminalName(java.lang.String value)` Sets the value of the agentTerminalName property.
`void` | `setPassiveProviderName(java.lang.String value)` Sets the value of the passiveProviderName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentPropertyVoiceTerminal

    public AgentPropertyVoiceTerminal()

Method Detail

### getAgentTerminalId

    public java.lang.String getAgentTerminalId()

  Gets the value of the agentTerminalId property.

  Returns:
    possible object is `String`

### setAgentTerminalId

    public void setAgentTerminalId(java.lang.String value)

  Sets the value of the agentTerminalId property.

  Parameters:
    `value` - allowed object is `String`

### getAgentTerminalName

    public java.lang.String getAgentTerminalName()

  Gets the value of the agentTerminalName property.

  Returns:
    possible object is `String`

### setAgentTerminalName

    public void setAgentTerminalName(java.lang.String value)

  Sets the value of the agentTerminalName property.

  Parameters:
    `value` - allowed object is `String`

### getPassiveProviderName

    public java.lang.String getPassiveProviderName()

  Gets the value of the passiveProviderName property.

  Returns:
    possible object is `String`

### setPassiveProviderName

    public void setPassiveProviderName(java.lang.String value)

  Sets the value of the passiveProviderName property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.